StandardAnalyzer.TokenType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.analyzer

## Enum StandardAnalyzer.TokenType

- java.lang.Object
- - java.lang.Enum<StandardAnalyzer.TokenType>
  - - org.apache.cassandra.index.sasi.analyzer.StandardAnalyzer.TokenType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardAnalyzer.TokenType>
  Enclosing class:
    StandardAnalyzer

      public static enum StandardAnalyzer.TokenType
      extends java.lang.Enum<StandardAnalyzer.TokenType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALPHANUM`
    `EOF`
    `HANGUL`
    `HIRAGANA`
    `IDEOGRAPHIC`
    `KATAKANA`
    `NUM`
    `SOUTHEAST_ASIAN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardAnalyzer.TokenType` | `fromValue(int val)`
    `int` | `getValue()`
    `static StandardAnalyzer.TokenType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardAnalyzer.TokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EOF

          public static final StandardAnalyzer.TokenType EOF

    - #### ALPHANUM

          public static final StandardAnalyzer.TokenType ALPHANUM

    - #### NUM

          public static final StandardAnalyzer.TokenType NUM

    - #### SOUTHEAST_ASIAN

          public static final StandardAnalyzer.TokenType SOUTHEAST_ASIAN

    - #### IDEOGRAPHIC

          public static final StandardAnalyzer.TokenType IDEOGRAPHIC

    - #### HIRAGANA

          public static final StandardAnalyzer.TokenType HIRAGANA

    - #### KATAKANA

          public static final StandardAnalyzer.TokenType KATAKANA

    - #### HANGUL

          public static final StandardAnalyzer.TokenType HANGUL

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static StandardAnalyzer.TokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardAnalyzer.TokenType c : StandardAnalyzer.TokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardAnalyzer.TokenType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### fromValue

          public static StandardAnalyzer.TokenType fromValue(int val)

Copyright © 2018 The Apache Software Foundation